KD SOAP API Documentation: KDSoapServerRawXMLInterface Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapServerRawXMLInterface Class Reference

`#include <KDSoapServerRawXMLInterface.h>`

## Public Member Functions
| KDSoapServerRawXMLInterface ()
| KDSoapServerRawXMLInterface (const KDSoapServerRawXMLInterface &other)=delete
virtual | ~KDSoapServerRawXMLInterface ()
virtual void | endRequest ()
virtual bool | newRequest (const QByteArray &requestType, const QMap< QByteArray, QByteArray > &httpHeaders)
KDSoapServerRawXMLInterface & | operator= (const KDSoapServerRawXMLInterface &other)=delete
virtual void | processXML (const QByteArray &xmlChunk)

## Detailed Description

Additional interface for processing incoming XML directly, without the use of KDSoapMessage.

In addition to deriving from KDSoapServerObjectInterface, you can derive from KDSoapServerRawXMLInterface in order to handle XML as it comes in.

Use Q_INTERFACES(KDSoapServerRawXMLInterface) in your derived class (under Q_OBJECT) so that Qt can discover the additional inheritance.

This can be useful for pre-processing invalid XML, or for handling very large requests (received in chunks) in an incremental way, saving memory compared to the usual buffering of the entire request.

KDSoapServer will receive all HTTP headers, call newRequest(), call processXML() for every chunk of XML, and finally call endRequest(). Use writeHTTP() or writeXML() (from KDSoapServerObjectInterface) to reply back.

Since
  1.5

Definition at line 40 of file KDSoapServerRawXMLInterface.h.

## Constructor & Destructor Documentation

## ◆ KDSoapServerRawXMLInterface() [1/2]

KDSoapServerRawXMLInterface::KDSoapServerRawXMLInterface | ( |  | ) |

Constructor

Definition at line 13 of file KDSoapServerRawXMLInterface.cpp.

## ◆ KDSoapServerRawXMLInterface() [2/2]

KDSoapServerRawXMLInterface::KDSoapServerRawXMLInterface | ( | const KDSoapServerRawXMLInterface & | other | ) |
| delete

## ◆ ~KDSoapServerRawXMLInterface()

KDSoapServerRawXMLInterface::~KDSoapServerRawXMLInterface | ( |  | ) |
| virtual

Destructor

Definition at line 18 of file KDSoapServerRawXMLInterface.cpp.

## Member Function Documentation

## ◆ endRequest()

virtual void KDSoapServerRawXMLInterface::endRequest | ( |  | ) |
| inlinevirtual

Called at the end of the request. Use writeHTTP() or writeXML() (from KDSoapServerObjectInterface) to reply back.

Definition at line 82 of file KDSoapServerRawXMLInterface.h.

## ◆ newRequest()

virtual bool KDSoapServerRawXMLInterface::newRequest | ( | const QByteArray & | requestType,
|  | const QMap< QByteArray, QByteArray > & | httpHeaders
| ) |  |
| inlinevirtual

Called when starting to receive a new request.

Parameters

  requestType | GET or POST
  httpHeaders | the map of http headers (keys have been lowercased since they are case insensitive)

Returns
  true if you want this interface to handle the request, otherwise the usual processing via KDSoapServerObjectInterface::processRequest will happen.

Definition at line 63 of file KDSoapServerRawXMLInterface.h.

## ◆ operator=()

KDSoapServerRawXMLInterface & KDSoapServerRawXMLInterface::operator= | ( | const KDSoapServerRawXMLInterface & | other | ) |
| delete

## ◆ processXML()

virtual void KDSoapServerRawXMLInterface::processXML | ( | const QByteArray & | xmlChunk | ) |
| inlinevirtual

Called with the chunks of XML data as they come in

Definition at line 73 of file KDSoapServerRawXMLInterface.h.

The documentation for this class was generated from the following files:

- KDSoapServerRawXMLInterface.h
- KDSoapServerRawXMLInterface.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8